## org.apache.tools.ant.taskdefs
Interface ExecuteStreamHandler

All Known Subinterfaces:
  P4Handler

All Known Implementing Classes:
  BorlandDeploymentTool, CCMCreateTask, JikesOutputParser, MMetricsStreamHandler, P4HandlerAdapter, PumpStreamHandler

public interface ExecuteStreamHandler

Used by `Execute` to handle input and output stream of subprocesses.

Since:
  Ant 1.2

Method Summary
`void` `setProcessErrorStream(java.io.InputStream is)` Install a handler for the error stream of the subprocess.
`void` `setProcessInputStream(java.io.OutputStream os)` Install a handler for the input stream of the subprocess.
`void` `setProcessOutputStream(java.io.InputStream is)` Install a handler for the output stream of the subprocess.
`void` `start()` Start handling of the streams.
`void` `stop()` Stop handling of the streams - will not be restarted.

Method Detail

### setProcessInputStream

    public void setProcessInputStream(java.io.OutputStream os)
                               throws java.io.IOException

  Install a handler for the input stream of the subprocess.

  Parameters:
    `os` - output stream to write to the standard input stream of the subprocess
    `java.io.IOException`

### setProcessErrorStream

    public void setProcessErrorStream(java.io.InputStream is)
                               throws java.io.IOException

  Install a handler for the error stream of the subprocess.

  Parameters:
    `is` - input stream to read from the error stream from the subprocess
    `java.io.IOException`

### setProcessOutputStream

    public void setProcessOutputStream(java.io.InputStream is)
                                throws java.io.IOException

  Install a handler for the output stream of the subprocess.

  Parameters:
    `is` - input stream to read from the error stream from the subprocess
    `java.io.IOException`

### start

    public void start()
               throws java.io.IOException

  Start handling of the streams.

    `java.io.IOException`

### stop

    public void stop()

  Stop handling of the streams - will not be restarted.

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.